[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# IntersectClipRect

Shrinks the clipping region of an Device Context to a rectangular boundary, e.g. a text area.

## Declaration

Source position: winapih.inc line 172

`function IntersectClipRect(`
`dc: HDC;`
`Left: Integer;`
`Top: Integer;`
`Right: Integer;`
`Bottom: Integer`
`):Integer;`

## Function result

The region type, zero on failure.

## Description

The result can be one of the following constants: Error, NullRegion, SimpleRegion, ComplexRegion, or Region_Error

## See also

Region_Error |  |